"""Plot network layout for fixed seed"""

import networkx as nx
import matplotlib.pylab as plt

G = nx.gnp_random_graph(10, 0.25, seed=12345)
plt.figure(1, figsize=(8, 4.5))
nx.draw_networkx(G, node_color='white')
plt.axis('off')
plt.savefig('figs/network-layout.pdf', bbox_inches='tight')