import numpy as np
import pandas as pd
import statsmodels.api as sm


ndat = 10000

fn = 'Skin_NonSkin.txt'
data = np.loadtxt(fn)
data[:,-1] -= 1
np.random.shuffle(data)

#%% Data
X = np.c_[np.ones(ndat), data[:ndat,:3]]
y = data[:ndat,-1]

#d = {'x': pd.Series(x), 'y': pd.Series(y)}
#df = pd.DataFrame(d)
print(sm.Logit(y, X).fit().summary())